## noris-nagios-firewallplugins 1.2

=== Makefile ===
build:

install:
	for i in `ls usr/lib/nagios/plugins/`; do sed -i 's#usr/local/nagios/libexec#usr/lib/nagios/plugins#g' usr/lib/nagios/plugins/$$i; done
	cp -r usr/ $(DESTDIR)/
	cp -r etc/ $(DESTDIR)/

clean:
	rm -f *-stamp

## noris-nagios-firewallplugins 1.0-6

=== debian/changelog ===
noris-nagios-firewallplugins (1.0-6) wheezy; urgency=low

  * new check_juniper_sslvpn_users (#16616370)

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 29 Jul 2014 10:12:23 +0200

noris-nagios-firewallplugins (1.0-5) wheezy; urgency=low

  * added check_juniper_sslvpn_users (#16476093)

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 09 Jul 2014 12:36:19 +0200

noris-nagios-firewallplugins (1.0-3) wheezy; urgency=low

  * Raised warning to 65% in check_netscreen_cpu_5min

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 25 Apr 2014 09:43:35 +0200

noris-nagios-firewallplugins (1.0-2) wheezy; urgency=low

  * new checks (#15161547) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 20 Nov 2013 18:25:48 +0100

noris-nagios-firewallplugins (1.0-1) wheezy; urgency=low

  * limited values for cpu warnings (#15170516)

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 18 Nov 2013 10:45:06 +0100

noris-nagios-firewallplugins (1.0-0) wheezy; urgency=low

  * First Build for wheezy 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 08 Apr 2013 12:35:24 +0200

=== debian/control ===
Source: noris-nagios-firewallplugins
Section: net
Priority: optional
Maintainer: Katharina Drexel <kdrexel@noris.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: noris-nagios-firewallplugins
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libnet-snmp-perl, nagios-plugins
Conflicts: nagios-firewallplugins
Description: Nagios plugins to query firewalls.

## noris-nagios-firewallplugins 1.2

=== debian/changelog ===
noris-nagios-firewallplugins (1.2) jessie; urgency=medium

  * First build for jessie

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 23 Jul 2015 16:57:25 +0200

noris-nagios-firewallplugins (1.1-0) wheezy; urgency=low

  * #20338389: check_juniper_sslvpn_users redesigned

 -- Martin H. Sluka <fany@noris.de>  Mon, 26 Jan 2015 12:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: noris-nagios-firewallplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnet-snmp-perl, nagios-plugins
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhtml-tree-perl, libio-socket-ssl-perl, libnet-snmp-perl, libnetsaint-noris-perl, libwww-mechanize-perl, nagios-plugins
 Conflicts: nagios-firewallplugins
 Description: Nagios plugins to query firewalls.

## noris-nagios-firewallplugins 1.3

=== debian/changelog ===
noris-nagios-firewallplugins (1.3) jessie; urgency=medium

  * section noris/net 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 27 Jul 2015 13:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: noris-nagios-firewallplugins
-Section: net
+Section: noris/net
 Priority: optional
 Maintainer: Katharina Drexel <kdrexel@noris.de>
 Build-Depends: debhelper (>= 4.0.0)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#docbook-to-man debian/nagios-firewallplugins.sgml > nagios-netscreen-plugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/nagios-firewallplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-firewallplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
